Bug 150936 - gnome-terminal has problems with ANSI (save and restore cursor position)
gnome-terminal has problems with ANSI (save and restore cursor position)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-12 01:04 EST by Dag Wieers
Modified: 2008-02-06 19:54 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-06 19:54:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dag Wieers 2005-03-12 01:04:16 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020 Galeon/1.3.19

Description of problem:
The following should work:

    [dag@emyn dag]$ echo -e "\033[sone\033[utwo\033[uthree"
    three

In gnome-terminal, you get this:

    [dag@emyn dag]$ echo -e "\033[sone\033[utwo\033[uthree"
    [sone[utwo[uthree

Regardless of what TERM is used. (gnome, xterm, rxvt, ansi)

    \033[s     -> save cursor position
    \033[u     -> restore cursor position

Other terminal emulation programs, like xterm, rxvt,
multi-gnome-terminal do it correctly. I hit this problem when using dstat.

Version-Release number of selected component (if applicable):
gnome-terminal-2.7.3-1

How reproducible:
Always

Steps to Reproduce:
1. echo -e "\033[sone\033[utwo\033[uthree"
2.
3.
    

Actual Results:  [sone[utwo[uthree

Expected Results:  three


Additional info:
Comment 1 Dag Wieers 2005-03-12 01:13:55 EST
http://bugzilla.gnome.org/show_bug.cgi?id=170032
Comment 2 Matthew Miller 2006-07-10 19:35:32 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 petrosyan 2008-02-06 19:54:03 EST
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release please reopen this bug and assign it to the corresponding
Fedora version.

Note You need to log in before you can comment on or make changes to this bug.